Create a data selection query version

post

/fscmRestApi/resources/11.13.18.05/dataGetterQueries/{QueryId}/child/dataGetterQueryVersions

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Query Business Objects
Type: array
Title: Query Business Objects
Query business objects resource is used to view, create, modify, or delete query business objects in query.
Show Source
Nested Schema : Query Filter Parameters
Type: array
Title: Query Filter Parameters
Query filter parameters document the parameters that are configured for a data selection query filter. When a query is run, the bind parameter is used to pass values to the query filter.
Show Source
Nested Schema : schema
Type: object
Show Source
  • Title: Query Business Object Code
    Maximum Length: 50
    The code of a business object that's associated with a query.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : dataGetterQueries-dataGetterQueryVersions-queryFilterParameters-item-post-request
Type: object
Show Source
  • Title: Default Value
    Maximum Length: 512
    The default value of a data selection filter bind parameter attribute.
  • Title: Default Value JSON Format
    Default value of the attribute in JSON format. Used by list variables.
  • Title: Filter Parameter Data Type Code
    Maximum Length: 30
    The data selection filter bind parameter attribute data type code, for example, a string, number, or date. A list of accepted values is defined in the lookup type ORA_HEY_ATTRIBUTE_TYPE.
  • Title: Filter Parameter Description
    Maximum Length: 240
    The description of a data selection filter bind parameter.
  • Title: Filter Parameter Name
    Maximum Length: 60
    The name of a data selection filter bind parameter.
  • Title: Filter Parameter Type Code
    Maximum Length: 30
    The data selection filter bind parameter type code, for example, a simple variable, list variable, or multicolumn list variable. A list of accepted values is defined in the lookup type ORA_HEY_VARIABLE_TYPE_CODE. The default value is ORA_HEY_SINGLE_VARIABLE.
  • Title: List of Values Lookup Type
    Maximum Length: 30
    The list of values lookup type of a data selection filter bind parameter attribute.
  • Title: List of Values ID
    The list of values data artifact resource ID of a data selection filter bind parameter attribute.
  • Title: List of Values Display Fields
    Maximum Length: 900
    The comma separated display field names of the list of values resource associated with this attribute. These field names can be displayed on the UI.
  • Title: List of Values Finder Name
    Maximum Length: 900
    The list of values finder of a data selection filter bind parameter attribute.
  • Title: List of Values Source Resource Name
    Maximum Length: 200
    The source resource name for the list of values resource of a data selection filter bind parameter attribute.
  • Title: List of Values Field
    Maximum Length: 900
    The field name of the list of values resource associated with this attribute.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
  • Title: Required
    Maximum Length: 1
    Default Value: false
    Indicates whether a data selection filter bind parameter attribute is required or not. If true then the bind parameter is required, else the bind parameter isn't required.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : dataGetterQueries-dataGetterQueryVersions-item-response
Type: object
Show Source
Nested Schema : Query Business Objects
Type: array
Title: Query Business Objects
Query business objects resource is used to view, create, modify, or delete query business objects in query.
Show Source
Nested Schema : Query Filter Parameters
Type: array
Title: Query Filter Parameters
Query filter parameters document the parameters that are configured for a data selection query filter. When a query is run, the bind parameter is used to pass values to the query filter.
Show Source
Nested Schema : dataGetterQueries-dataGetterQueryVersions-queryBusinessObjects-item-response
Type: object
Show Source
  • Title: Query Business Object Code
    Maximum Length: 50
    The code of a business object that's associated with a query.
  • Title: Query Business Object Name
    Read Only: true
    Maximum Length: 100
    The display string for the business object that's associated with a query.
  • Title: Query Business Object Description
    Read Only: true
    Maximum Length: 255
    The description string for the business object that's associated with a query.
  • Links
  • Title: Query Business Object ID
    Read Only: true
    The unique identifier of the query business object.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
Nested Schema : dataGetterQueries-dataGetterQueryVersions-queryFilterParameters-item-response
Type: object
Show Source
  • Title: Artifact Code
    Read Only: true
    Maximum Length: 50
    The unique code of the list of values data artifact resource.
  • Title: Artifact Name
    Read Only: true
    Maximum Length: 50
    The name of the list of values data artifact resource.
  • Title: Default Value
    Maximum Length: 512
    The default value of a data selection filter bind parameter attribute.
  • Title: Default Value JSON Format
    Default value of the attribute in JSON format. Used by list variables.
  • Title: Filter Parameter Code
    Read Only: true
    Maximum Length: 50
    Default Value: ORA_HEY_SINGLE_VARIABLE
    The data selection filter bind parameter unique code, such as UNIT_GRADE.
  • Title: Filter Parameter Data Type Code
    Maximum Length: 30
    The data selection filter bind parameter attribute data type code, for example, a string, number, or date. A list of accepted values is defined in the lookup type ORA_HEY_ATTRIBUTE_TYPE.
  • Title: Filter Parameter Data Type
    Read Only: true
    Maximum Length: 80
    The meaning of the data selection filter bind parameter attribute data type code, for example, a string, number, or date. A list of accepted values is defined in the lookup type ORA_HEY_ATTRIBUTE_TYPE.
  • Title: Filter Parameter Description
    Maximum Length: 240
    The description of a data selection filter bind parameter.
  • Title: Filter Parameter ID
    Read Only: true
    The unique identifier of a data selection filter bind parameter.
  • Title: Filter Parameter Name
    Maximum Length: 60
    The name of a data selection filter bind parameter.
  • Title: Filter Parameter Type Code
    Maximum Length: 30
    The data selection filter bind parameter type code, for example, a simple variable, list variable, or multicolumn list variable. A list of accepted values is defined in the lookup type ORA_HEY_VARIABLE_TYPE_CODE. The default value is ORA_HEY_SINGLE_VARIABLE.
  • Title: Filter Parameter Type
    Read Only: true
    Maximum Length: 80
    The meaning of the data selection filter bind parameter type code, for example, a simple variable, list variable or multicolumn list variable. A list of accepted values is defined in the lookup type ORA_HEY_VARIABLE_TYPE_CODE. The default value is Single variable.
  • Links
  • Title: List of Values Lookup Type
    Maximum Length: 30
    The list of values lookup type of a data selection filter bind parameter attribute.
  • Title: List of Values ID
    The list of values data artifact resource ID of a data selection filter bind parameter attribute.
  • Title: List of Values Display Fields
    Maximum Length: 900
    The comma separated display field names of the list of values resource associated with this attribute. These field names can be displayed on the UI.
  • Title: List of Values Finder Name
    Maximum Length: 900
    The list of values finder of a data selection filter bind parameter attribute.
  • Title: List of Values Source Resource Name
    Maximum Length: 200
    The source resource name for the list of values resource of a data selection filter bind parameter attribute.
  • Title: List of Values Field
    Maximum Length: 900
    The field name of the list of values resource associated with this attribute.
  • Title: Request Action
    Maximum Length: 80
    The request action that's performed by the resource when passed by the client during an update. When set to DELETE, the record is deleted. The only accepted value for request action is DELETE.
  • Title: Required
    Maximum Length: 1
    Default Value: false
    Indicates whether a data selection filter bind parameter attribute is required or not. If true then the bind parameter is required, else the bind parameter isn't required.
Back to Top